%define name	iax
%define version	0.2.2
%define release	3mdk

%define	major	0
%define libname	%mklibname %{name} %{major}

Summary:	IAX (Inter Asterisk eXchange) Library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:		iax-0.2.2-no_ldconfig_when_install.patch.bz2
URL:		http://www.asteriskpbx.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Inter Asterisk eXchange, lovingly called IAX (pronounced: eeks),
is the protocol used by the Asterisk PBX system for
inter-asterisk-communication. Other applications may use libiax to
communicate with each other and other asterisk servers. IAX is a
high performance, feature rich protocol unrelated to SIP or H.323.

Its single-socket design allows it to interoperate with NAT and
PAT masquerade firewalls.  It supports internationalization,
remote dialplans, and voice, HTML, image, DTMF, and video content.

For more information see http://www.gnophone.com

%package -n	%{libname}
Summary:	IAX (Inter Asterisk eXchange) Library
Group:          System/Libraries

%description -n	%{libname}
Inter Asterisk eXchange, lovingly called IAX (pronounced: eeks),
is the protocol used by the Asterisk PBX system for
inter-asterisk-communication. Other applications may use libiax to
communicate with each other and other asterisk servers. IAX is a
high performance, feature rich protocol unrelated to SIP or H.323.

Its single-socket design allows it to interoperate with NAT and
PAT masquerade firewalls.  It supports internationalization,
remote dialplans, and voice, HTML, image, DTMF, and video content.

For more information see http://www.gnophone.com

%package -n	%{libname}-devel
Summary:	IAX (Inter Asterisk eXchange) Development Package
Group:		Development/C
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
Inter Asterisk eXchange, lovingly called IAX (pronounced: eeks),
is the protocol used by the Asterisk PBX system for
inter-asterisk-communication. Other applications may use libiax to
communicate with each other and other asterisk servers. IAX is a
high performance, feature rich protocol unrelated to SIP or H.323.

Its single-socket design allows it to interoperate with NAT and
PAT masquerade firewalls.  It supports internationalization,
remote dialplans, and voice, HTML, image, DTMF, and video content.

For more information see http://www.gnophone.com

This package contains all of the development files that you will
need in order to compile IAX applications.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

%build
libtoolize --copy --force; aclocal; autoconf

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog NEWS README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/iax
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.2-3mdk
- rebuild

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.2-2mdk
- Copyright/License

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.2-1mdk
- initial cooker contrib
- mandrakified the provided spec file
